Create node
Creates a new Wings node and returns the created resource.
/api/application/nodesAuthorization
default Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/application/nodes" \ -H "Content-Type: application/json" \ -d '{ "name": "Example Resource", "location_id": 1, "fqdn": "node.example.com", "scheme": "example", "memory": 1.5, "memory_overallocate": 1.5, "disk": 1.5, "disk_overallocate": 1.5, "daemon_listen": 1.5, "daemon_sftp": 1.5 }'{ "object": "node", "attributes": { "id": 13316, "uuid": "187b8d09-e808-4cfb-83d2-99913dff8daa", "public": true, "name": "FactoryNode_z0EUCKodf8", "description": "string", "location_id": 15978, "fqdn": "17.170.141.175", "scheme": "http", "behind_proxy": false, "maintenance_mode": false, "memory": 1024, "memory_overallocate": 0, "disk": 10240, "disk_overallocate": 0, "upload_size": 100, "daemon_listen": 8080, "daemon_sftp": 2022, "daemon_base": "/var/lib/pterodactyl/volumes", "created_at": "2026-09-22T14:45:23+00:00", "updated_at": "2026-09-22T14:45:23+00:00", "allocated_resources": { "memory": 0, "disk": 0 } }, "meta": { "resource": "https://panel.example.test/api/application/nodes/1" }}